Subject: Re: [PATCH] staging: r8712u: Fix kernel warning for improper call of del_timer_sync()

From: Larry Finger <[email-masked]>
Date: Mon, 25 May 2015 10:59:43 -0500

On 05/24/2015 11:42 PM, Sudip Mukherjee wrote:
>> I haven't been using kernel v4.1 so I haven't seen this warning, but looking
>> at the code it seems to originate from the two recent patches to remove
>> _cancel_timer and _cancel_timer_ex. I see that there's another patch in lkml [1]
>> that changes del_timer_sync back to del_timer in more places. Perhaps it
>> could prevent other warnings like this in the future.
>
> _cancel_timer and _cancel_timer_ex both were internally using del_timer,
> and the issue was reported in bugzilla. I have given the reference of the
> bugzilla in my patch in lkml.
> I have changed the reference of del_timer_sync to del_timer in all places
> which were in interrupt context, in some places it was not removed as
> those were not in interrupt context.

Why did you not Cc the maintainers?? That is why file MAINTAINERS exists.

Was your patch sent to Greg?

Larry

--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html